loading {{loading}}


<div *ngIf="loading; else personsBlock">
  loading......

</div>

<ng-template #personsBlock>

  <div *ngIf="persons && !hasError;  else errorBlock">
      <app-persons-card *ngFor="let item of persons | sort: 'id' ; index as i; trackBy: trackByFn "
                        [item]="item" [index]="i"></app-persons-card>


  </div>

  <ng-template #errorBlock>
    {{message}}
  </ng-template>



</ng-template>



